.ant-input-lg {
  height: 46px;
  font-size: 16px;
}

.ant-input {
  border-radius: 10px;
}

.ant-checkbox-inner {
  width: 18px;
  height: 18px;
  border-radius: 5px;

  &:after {
    top: 49%;
    left: 25%;
  }
}

.ant-select-lg .ant-select-selection--single {
  height: 46px;
}

.ant-select-lg .ant-select-selection__rendered {
  line-height: 44px;
}

.ant-form-item-label {
  @include bp(xs-md) {
    padding-bottom: 0;
  }
}

.full-width-label {
  label {
    width: 100%;
  }

  .ant-form-item-label {
    padding-right: 0 !important;
  }
}

.ant-form-lg {
  .ant-input-affix-wrapper .ant-input:not(:first-child) {
    padding-left: 36px;
  }

  $cascade-picker-size: 14px;

  .ant-cascader-picker-label {
    padding: 0 20px;
  }

  .ant-input-lg {
    height: 46px;
    font-size: 16px;
  }

  .ant-cascader-picker-clear,
  .ant-cascader-picker-arrow {
    right: $cascade-picker-size;
    width: $cascade-picker-size;
    height: $cascade-picker-size;
    margin-top: -7px;
    line-height: $cascade-picker-size;
  }

  input {
    height: 46px;

    .anticon {
    }
  }

  .ant-select-lg .ant-select-selection--single {
    height: 46px;
  }

  .ant-select-selection--multiple {
    min-height: 46px;
  }

  .ant-select-selection__rendered {
    line-height: 44px;
  }

  .ant-select-selection--multiple > ul > li,
  .ant-select-selection--multiple .ant-select-selection__rendered > ul > li {
    height: 38px;
    line-height: 37px;
  }
}

.ant-form-group:nth-last-child(n + 2) {
  border-bottom: 1px solid $gray-2;
}

.ant-form-item {
  margin-bottom: 10px;

  &.form-item-inline {
    display: flex;

    .ant-form-item-label {
      padding-right: 0 !important;
    }

    .ant-input-number + span {
      margin-left: 7px;
    }
  }
}

.ant-form-item-label {
  line-height: 32px;

  label {
    color: $gray-5;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
  }
}

.input-line-style {
  font-size: 22px;
  border: none;
  background: none;
  border-bottom: 2px solid #d9e0e9;
  padding: 20px 0;
  height: auto;
  border-radius: 0;

  &:focus {
    box-shadow: none !important;
  }
}

.radio-pills {
  margin: 0 -5px;

  &.dark-mode .ant-radio-button-wrapper.ant-radio-button-wrapper-checked {
    background: #E9F1FF;
    border-color: #E9F1FF;
  }

  :focus-within {
    outline: none !important;
  }

  .ant-badge-dot {
    right: 4px
  }

  .ant-radio-button-wrapper {
    border-radius: 8px;
    background: #f7fafd;
    border-color: #f7fafd;
    height: 40px;
    line-height: 40px;
    color: $gray-4;

    &.ant-radio-button-wrapper-checked {
      background: #E9F1FF;
      border-color: #E9F1FF;
      color: $brand-primary;
      box-shadow: none;
    }

    &:hover {
      color: #157ff1;
      background: rgba(19, 101, 208, 0.04) !important;
    }

    &:before {
      display: none;
    }
  }

  &.with-cards {
    .ant-radio-button-wrapper {
      height: auto !important;
    }
  }
}

.checkbox-group-pills {
  .ant-checkbox-group-item {
    background: #f3f6f9;
    padding: 10px 10px 10px 15px;
    border-radius: 6px 0 0 6px;
    margin-right: 0;
    margin-bottom: 0;
    border-right: 1px solid darken(#f3f6f9, 8%);

    &.ant-checkbox-wrapper-checked {
      background: #3880e9;
      color: #fff;
      border-right: 1px solid darken(#388fec, 8%);
    }

    &:last-child {
      border-right: 0;
      border-radius: 0 6px 6px 0;
    }
  }

  &.larger {
    .ant-checkbox-group-item {
      padding: 15px 15px 15px 20px;
    }
  }

  &.style-bordered {
    .ant-checkbox-group-item {
      border: 2px solid #f3f6f9;
      background: none;
      border-right: none;

      &:last-child {
        border-right: 2px solid #f3f6f9;
      }

      &.ant-checkbox-wrapper-checked {
        background: #157ff1;
        color: #fff;
        border-color: #157ff1;

        &:last-child {
          border-left: 2px solid darken(#157ff1, 8%);
        }
      }
    }
  }
}

.has-extra-label {
  input {
    padding-right: 200px;
  }

  .input-extra-label {
    position: absolute;
    right: 25px;
    top: 50%;
    text-transform: uppercase;
    font-size: 11px;
    padding: 0;
    opacity: 0.7;
    font-weight: 600;
    transform: translateY(-50%);
  }
}

.ant-form-item-control {
  .ant-form-item-children {
    line-height: 26px;
  }
}

.ant-radio-group-large .ant-radio-button-wrapper {
  font-size: 16px;
  margin-bottom: 0;
  height: 50px;
  line-height: 48px;
  padding: 0 20px;
}
